Subject: Re: Mumzworld_ follow up on payment
From: Shashank Koora <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Cc: Accounts Receivables <[email-masked]>
Date: Mon, 13 Jul 2020 06:46:36 -0700
List-Id: <ccteam.mumzworld.com>

Hi Team,

I wrote to you several times by now to remind you of the pending
invoices#27141(7/27/*2019) *& 32581(Due date-4/2/2020) in the amount
of $4,416.00, payment for the said invoices is now more than 3 months
overdue.

If you have any questions about the payment, please let me know, I'm also
attaching another copy of the invoice in case you did not receive it, for
whatever reasons. could you please reply to this email to let us know you
have received it?

Thanks
Shashank

On Mon, Jun 29, 2020 at 8:07 AM Shashank Koora <[email-masked]>
wrote:

> Dear Customer,
>
> I hope you are doing well & safe. Follow up on status of the attached past
> due invoices. Please let us know when we expect to receive a payment?
>
> We really appreciate it if you get back to us as soon as you have a chance
> and update us.
>
> Thanks
> Shashank
>